// /pages/api/talas_v5_DB/priorityConfig.js

import getPool from "../../../utils/mysqlPool"; // Singleton-Pool importieren

export default async function handler(req, res) {
  const pool = getPool(); // Singleton-Pool verwenden
  let connection;

  try {
    // Verbindung abrufen
    connection = await pool.getConnection();

    // Ausführen der Datenbankabfrage
    const query = "SELECT idprio, level, name, color FROM prio";
    const [results] = await connection.query(query);

    // Senden Sie die Antwort zurück
    res.status(200).json(results);
  } catch (error) {
    console.error("Fehler beim Abrufen der API", error);
    res.status(500).json({ error: "Fehler bei der Abfrage" });
  } finally {
    // Verbindung freigeben
    if (connection) connection.release();
  }
}
